<?php
include_once 'sys/inc/start.php';
$doc = new document(1);
$doc->title = 'Выход';




$q=mysql_query("SELECT * FROM `users_online` WHERE `id_user` = '$user->id' LIMIT 1");
if (mysql_num_rows($q)){
$exit_user=mysql_fetch_assoc($q);
// количество посещений
unset($user);
mysql_query("DELETE FROM `users_online` WHERE `id_user` = '{$exit_user['id_user']}' LIMIT 1");
}

setcookie(COOKIE_ID_USER);
setcookie(COOKIE_USER_PASSWORD);
unset($_SESSION);
session_destroy();

/* Инициализация механизма сессий  */
session_name(SESSION_NAME) or die('Невозможно инициализировать сессии');
@session_start() or die('Невозможно инициализировать сессии');

$user = new user(0);


if (isset($_GET['return']))header('Refresh: 1; url='.$_GET['return']);else header('Refresh: 1; url=/');


$doc->msg('Авторизация успешно сброшена');


echo "Будем рады видеть Вас снова<br />\n";

if (isset($_GET['return']))$doc->ret('Вернуться',$_GET['return']);
elseif (isset($_SERVER['HTTP_REFERER']) && preg_match('#^http://'.preg_quote($_SERVER['HTTP_HOST']).'#ui',$_SERVER['HTTP_REFERER']) && $_SERVER['REQUEST_URI']!=$_SERVER['HTTP_REFERER'])
{
header('Location: '.$_SERVER['HTTP_REFERER']);
}
?>
